<?php

use NeurogenesisTheme\Controllers\Admin\AdminNotices;
use NeurogenesisTheme\Core\Admin\Actions\MarkCustomizeStepComplete;
use NeurogenesisTheme\Core\Admin\Actions\OnThemeActivation;

new OnThemeActivation();
new MarkCustomizeStepComplete();

if(is_admin()) {
    // add admin body class neurogenesis-theme-admin
    if(isset($_GET['page']) && $_GET['page'] === NEUROGENESIS_THEME_PAGE_ID) {
        add_filter('admin_body_class', function($classes) {
            $classes .= ' ' . NEUROGENESIS_THEME_PAGE_ID . '-admin';
                return $classes;
            });
    }

    new AdminNotices();

    require_once NEUROGENESIS_THEME_THEME_PATH . '/config/routes/web.php';
    NeurogenesisTheme\Core\Admin\Application::boot();


}